package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawlerMapping;
import com.loafle.overflow.service.central.meta.MetaCrawlerMappingService;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
@ContextConfiguration(classes = {AppConfigTest.class})
@Ignore
public class CentralMetaCrawlerMappingServiceTest {

  @Autowired
  MetaCrawlerMappingService metaCrawlerMappingService;

  @Test
  public void readAll() throws OverflowException {
    List<MetaCrawlerMapping> mappings = this.metaCrawlerMappingService.readAll();
    System.out.println(mappings.size());
    Assert.assertNotNull(mappings);
  }

  @Test
  public void readAllByMetaTargetTypeID() throws OverflowException {
    List<MetaCrawlerMapping> mappings = this.metaCrawlerMappingService.readAllByMetaTargetTypeID(100);
    System.out.println(mappings.size());
    Assert.assertNotNull(mappings);
  }

  @Test
  public void readAllByMetaTargetTypeKey() throws OverflowException {
    List<MetaCrawlerMapping> mappings = this.metaCrawlerMappingService.readAllByMetaTargetTypeKey("ALPINE_LINUX");
    System.out.println(mappings.size());
    Assert.assertNotNull(mappings);
  }

  @Test
  public void regist() throws OverflowException {
  }
}
